Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class CalendarSummary

    java.lang.Object
      com.tibco.bpm.web.client.model.types.CalendarBasic
          com.tibco.bpm.web.client.model.types.CalendarSummary

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class CalendarSummary

extends CalendarBasic
implements com.google.gwt.user.client.rpc.IsSerializable

CalendarSummary type.

©2012 TIBCO Software Inc.

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.types.CalendarBasic
`CalendarBasic.CalendarType`

Constructor Summary
`CalendarSummary()` Default constructor for CalendarSummary.

Method Summary
`java.util.ArrayList<java.lang.String>` | `getReference()` Returns the reference.
`void` | `setReference(java.util.ArrayList<java.lang.String> reference)` Sets the reference value.

Methods inherited from class com.tibco.bpm.web.client.model.types.CalendarBasic
`getCalendarType, getDateCreated, getDateModified, getName, getNameSpace, setCalendarType, setDateCreated, setDateModified, setName, setNameSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarSummary

    public CalendarSummary()

  Default constructor for CalendarSummary.

Method Detail

### getReference

    public java.util.ArrayList<java.lang.String> getReference()

  Returns the reference.

  Returns:
    Returns the reference.

### setReference

    public void setReference(java.util.ArrayList<java.lang.String> reference)

  Sets the reference value.

  Parameters:
    `reference` - The reference to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.